# Visualization
TKV2d
V2d

# V2d_CircularGraphicGrid Class Reference

`#include <V2d_CircularGraphicGrid.hxx>`

Inheritance diagram for V2d_CircularGraphicGrid:

[legend]

## Public Member Functions

Standard_EXPORT | V2d_CircularGraphicGrid (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Standard_Real X, const Standard_Real Y, const Standard_Real alpha, const Standard_Real step, const Standard_Integer aDivision, const Standard_Integer PointsColorIndex)
Standard_EXPORT void | SetDrawMode (const Aspect_GridDrawMode aDrawMode)
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the grid .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the infinite line <me> is picked, Standard_False if not. .

## Private Member Functions

Standard_EXPORT void | DrawCircle (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_ShortReal xc, const Standard_ShortReal yc, const Standard_ShortReal r, const Standard_Boolean DrawPoints) const

## Private Attributes

Standard_ShortReal | OX
Standard_ShortReal | OY
Standard_ShortReal | angle
Standard_ShortReal | Step
Standard_Integer | Division
Aspect_GridDrawMode | DrawMode
Standard_Integer | myPointsColorIndex

## Constructor & Destructor Documentation

Standard_EXPORT V2d_CircularGraphicGrid::V2d_CircularGraphicGrid | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | alpha,
|  | const Standard_Real | step,
|  | const Standard_Integer | aDivision,
|  | const Standard_Integer | PointsColorIndex
| ) |

## Member Function Documentation

Standard_EXPORT void V2d_CircularGraphicGrid::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT void V2d_CircularGraphicGrid::DrawCircle | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_ShortReal | xc,
|  | const Standard_ShortReal | yc,
|  | const Standard_ShortReal | r,
|  | const Standard_Boolean | DrawPoints
| ) | const`[private]`

Standard_EXPORT const V2d_CircularGraphicGrid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT Standard_Boolean V2d_CircularGraphicGrid::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void V2d_CircularGraphicGrid::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT void V2d_CircularGraphicGrid::SetDrawMode | ( | const Aspect_GridDrawMode | aDrawMode | ) |

## Field Documentation

Standard_ShortReal V2d_CircularGraphicGrid::angle `[private]`

Standard_Integer V2d_CircularGraphicGrid::Division `[private]`

Aspect_GridDrawMode V2d_CircularGraphicGrid::DrawMode `[private]`

Standard_Integer V2d_CircularGraphicGrid::myPointsColorIndex `[private]`

Standard_ShortReal V2d_CircularGraphicGrid::OX `[private]`

Standard_ShortReal V2d_CircularGraphicGrid::OY `[private]`

Standard_ShortReal V2d_CircularGraphicGrid::Step `[private]`

The documentation for this class was generated from the following file:

- V2d_CircularGraphicGrid.hxx